# Activities

## GET /api/activities/logged/{id}

> Get logged activity record by ID

```json
{"openapi":"3.0.3","info":{"title":"Kizen API","version":"1.0.0"},"security":[{"businessId":[],"userId":[],"apiKey":[]}],"components":{"securitySchemes":{"businessId":{"type":"apiKey","in":"header","name":"X-BUSINESS-ID"}},"schemas":{"LogActivityRead":{"type":"object","properties":{"fields":{"type":"array","items":{"$ref":"#/components/schemas/LoggedActivityRecordField"}},"id":{"type":"string","format":"uuid"},"notes":{"type":"string"},"activity_object":{"allOf":[{"$ref":"#/components/schemas/_ActivityObject"}],"readOnly":true},"associated_entities":{"type":"array","items":{"$ref":"#/components/schemas/AssociatedEntity"},"readOnly":true},"logged_at":{"type":"string","format":"date-time"},"logged_by":{"$ref":"#/components/schemas/EmbedEmployee"},"completed_at":{"type":"string","format":"date-time","nullable":true,"readOnly":true},"completed_by":{"allOf":[{"$ref":"#/components/schemas/SerializerMeta"}],"readOnly":true},"scheduled_activity_id":{"type":"string","format":"uuid","nullable":true,"readOnly":true},"mentions":{"type":"array","items":{"type":"string","format":"uuid"},"readOnly":true}},"required":["activity_object","associated_entities","completed_at","completed_by","id","logged_at","logged_by","mentions","notes","scheduled_activity_id"]},"LoggedActivityRecordField":{"type":"object","properties":{"value":{"type":"object","additionalProperties":{},"nullable":true},"id":{"type":"string","format":"uuid"},"field_type":{"type":"string","readOnly":true},"custom_field_type":{"type":"string","nullable":true,"readOnly":true},"name":{"type":"string","readOnly":true},"display_name":{"type":"string","readOnly":true}},"required":["custom_field_type","display_name","field_type","id","name"]},"_ActivityObject":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string"},"api_name":{"type":"string"},"association_mode":{"type":"string"}},"required":["api_name","association_mode","id","name"]},"AssociatedEntity":{"type":"object","properties":{"custom_object_id":{"type":"string","format":"uuid"},"object_name":{"type":"string"},"entity_id":{"type":"string","format":"uuid"},"name":{"type":"string"},"display_name":{"type":"string"},"custom_object_name":{"type":"string"},"object_api_name":{"type":"string"}},"required":["custom_object_id","custom_object_name","display_name","entity_id","name","object_api_name","object_name"]},"EmbedEmployee":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string"},"full_name":{"type":"string"},"display_name":{"type":"string"},"email":{"type":"string","format":"email"},"deleted":{"type":"boolean"}},"required":["deleted","display_name","email","full_name","id","name"]},"SerializerMeta":{"type":"object","properties":{"picture_url":{"type":"string"},"id":{"type":"string","format":"uuid"},"first_name":{"type":"string"},"last_name":{"type":"string"},"email":{"type":"string","format":"email"},"display_name":{"type":"string"},"account_type":{"type":"string"}},"required":["account_type","display_name","email","first_name","id","last_name","picture_url"]}}},"paths":{"/api/activities/logged/{id}":{"get":{"operationId":"activities_logged_retrieve","description":"Get logged activity record by ID","parameters":[{"in":"path","name":"id","schema":{"type":"string","format":"uuid"},"description":"A UUID string identifying this logged activity record.","required":true}],"tags":["activities"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LogActivityRead"}}},"description":""}}}}}}
```

## GET /api/activities/scheduled-activity

> List Scheduled Activities

```json
{"openapi":"3.0.3","info":{"title":"Kizen API","version":"1.0.0"},"security":[{"businessId":[],"userId":[],"apiKey":[]}],"components":{"securitySchemes":{"businessId":{"type":"apiKey","in":"header","name":"X-BUSINESS-ID"}},"schemas":{"PaginatedScheduledActivityV2ReadList":{"type":"object","required":["count","results"],"properties":{"count":{"type":"integer"},"next":{"type":"string","nullable":true,"format":"uri"},"previous":{"type":"string","nullable":true,"format":"uri"},"results":{"type":"array","items":{"$ref":"#/components/schemas/ScheduledActivityV2Read"}},"errors":{"oneOf":[{"type":"null"},{"type":"array","items":{"type":"string"}}]}}},"ScheduledActivityV2Read":{"type":"object","properties":{"associated_entities":{"type":"array","items":{"$ref":"#/components/schemas/_AssociatedEntityRead"}},"id":{"type":"string","format":"uuid"},"note":{"type":"string"},"due_datetime":{"type":"string","format":"date-time"},"original_due_datetime":{"type":"string","format":"date-time"},"completed_at":{"type":"string","format":"date-time"},"logged_activity_id":{"type":"string","format":"uuid"},"activity_object":{"type":"string"},"employee":{"type":"string"},"role":{"$ref":"#/components/schemas/SimpleRole"},"mentions":{"$ref":"#/components/schemas/EmployeeSerpy"},"associated_fields":{"type":"string"},"notifications":{"type":"string"},"created":{"type":"string","format":"date-time"},"access":{"$ref":"#/components/schemas/AccessSerpy"}},"required":["access","activity_object","associated_entities","associated_fields","completed_at","created","due_datetime","employee","id","logged_activity_id","mentions","note","notifications","original_due_datetime","role"]},"_AssociatedEntityRead":{"type":"object","properties":{"custom_object":{"$ref":"#/components/schemas/_CustomObjectRead"},"entity":{"$ref":"#/components/schemas/_EntityRead"},"custom_object_id":{"type":"string","format":"uuid","deprecated":true},"object_name":{"type":"string","deprecated":true},"object_api_name":{"type":"string","deprecated":true},"entity_id":{"type":"string","format":"uuid","deprecated":true},"name":{"type":"string","readOnly":true,"deprecated":true},"display_name":{"type":"string","readOnly":true,"deprecated":true}},"required":["custom_object","custom_object_id","display_name","entity","entity_id","name","object_api_name","object_name"]},"_CustomObjectRead":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string"},"object_name":{"type":"string"}},"required":["id","name","object_name"]},"_EntityRead":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string"},"email":{"type":"string","readOnly":true},"display_name":{"type":"string","readOnly":true}},"required":["display_name","email","id","name"]},"SimpleRole":{"type":"object","properties":{"id":{"type":"string","format":"uuid","readOnly":true},"name":{"type":"string","maxLength":200},"default_for_new_users":{"type":"boolean"}},"required":["id","name"]},"EmployeeSerpy":{"type":"object","properties":{"picture_url":{"type":"string"},"id":{"type":"string","format":"uuid"},"first_name":{"type":"string"},"last_name":{"type":"string"},"email":{"type":"string","format":"email"},"display_name":{"type":"string"},"account_type":{"type":"string"}},"required":["account_type","display_name","email","first_name","id","last_name","picture_url"]},"AccessSerpy":{"type":"object","properties":{"view":{"type":"boolean"},"edit":{"type":"boolean"},"remove":{"type":"boolean"}},"required":["edit","remove","view"]}}},"paths":{"/api/activities/scheduled-activity":{"get":{"operationId":"activities_scheduled_activity_list","description":"List Scheduled Activities","parameters":[{"in":"query","name":"assigned_to_me","schema":{"type":"boolean"},"description":"Filter Scheduled Activities assigned to the logged in employee"},{"in":"query","name":"completed","schema":{"type":"boolean"},"description":"Filter Scheduled Activities that have had a logged activity"},{"in":"query","name":"employee_ids","schema":{"type":"array","minItems":0,"maxItems":250,"items":{"type":"uuid"}},"description":"Filter Scheduled Activities by Team Members UUIDs","explode":false,"style":"form"},{"in":"query","name":"from_date","schema":{"type":"string","format":"date"},"description":"Filter Scheduled Activities Due Datetime starting from date"},{"in":"query","name":"ordering","schema":{"type":"string"},"description":"Order Scheduled Activities by field. The negative sign in front of the '-activity_object' indicates descending order"},{"name":"page","required":false,"in":"query","description":"A page number within the paginated result set.","schema":{"type":"integer"}},{"name":"page_size","required":false,"in":"query","description":"Number of results to return per page.","schema":{"type":"integer"}},{"in":"query","name":"role_ids","schema":{"type":"array","minItems":0,"maxItems":250,"items":{"type":"uuid"}},"description":"Filter Scheduled Activities by Role UUIDs","explode":false,"style":"form"},{"in":"query","name":"search","schema":{"type":"string"}},{"in":"query","name":"to_date","schema":{"type":"string","format":"date"},"description":"Filter Scheduled Activities Due Datetime ending on date"}],"tags":["activities"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedScheduledActivityV2ReadList"}}},"description":""}}}}}}
```

## POST /api/activities/scheduled-activity

> Create scheduled activity

```json
{"openapi":"3.0.3","info":{"title":"Kizen API","version":"1.0.0"},"security":[{"businessId":[],"userId":[],"apiKey":[]}],"components":{"securitySchemes":{"businessId":{"type":"apiKey","in":"header","name":"X-BUSINESS-ID"}},"schemas":{"ScheduledActivityV2WriteRequest":{"type":"object","properties":{"activity_object_id":{"type":"string","format":"uuid"},"activity_object_name":{"type":"string","nullable":true,"minLength":1},"due_datetime":{"type":"string","format":"date-time"},"original_due_datetime":{"type":"string","format":"date-time"},"employee_id":{"type":"string","format":"uuid","nullable":true},"role_id":{"type":"string","format":"uuid","nullable":true},"note":{"type":"string"},"mentions":{"type":"array","items":{"type":"string","format":"uuid","nullable":true}},"notifications":{"type":"array","items":{"$ref":"#/components/schemas/_ScheduledActivityNotificationV2WriteRequest"}},"associated_entities":{"type":"array","items":{"$ref":"#/components/schemas/_AssociatedEntityWriteRequest"},"nullable":true},"notify_mentioned":{"type":"boolean","default":false}}},"_ScheduledActivityNotificationV2WriteRequest":{"type":"object","properties":{"type":{"$ref":"#/components/schemas/_ScheduledActivityNotificationV2WriteTypeEnum"},"time_amount":{"type":"integer","maximum":2147483647,"minimum":1},"time_unit":{"$ref":"#/components/schemas/TimeUnitEnum"}},"required":["time_amount","time_unit","type"]},"_ScheduledActivityNotificationV2WriteTypeEnum":{"enum":["email","text"],"type":"string","description":"* `email` - email\n* `text` - text"},"TimeUnitEnum":{"enum":["minute","hour","day"],"type":"string","description":"* `minute` - minute\n* `hour` - hour\n* `day` - day"},"_AssociatedEntityWriteRequest":{"type":"object","properties":{"custom_object_id":{"type":"string","format":"uuid","nullable":true,"description":"This field is deprecated, use custom_object instead.","deprecated":true},"entity_id":{"type":"string","format":"uuid","nullable":true,"description":"This field is deprecated, use entity instead.","deprecated":true},"custom_object":{"allOf":[{"$ref":"#/components/schemas/_CustomObjectRequest"}],"nullable":true},"entity":{"allOf":[{"$ref":"#/components/schemas/EntityRequest"}],"nullable":true}}},"_CustomObjectRequest":{"type":"object","description":"A serializer that accepts either an 'id' field or an alternate identifier field.\n\nThis serializer class automatically detects which identifier field is being used and\nperforms validation to ensure at least one identifier is provided. It also provides\nutility methods for retrieving objects by their identifiers.\n\nAttributes:\n    IDENTIFIER_FIELD (str): The name of the alternate identifier field. Should be\n        defined in subclasses.\n\nMethods:\n    get_identifier_field(): Determines the alternate identifier field name.\n    validate(attrs): Ensures either 'id' or the alternate identifier is provided.\n    get_identifier_values(data, values_map, queryset): Retrieves objects by their identifiers.","properties":{"id":{"type":"string","format":"uuid","nullable":true,"description":"Required if \"name\" is not provided."},"name":{"type":"string","nullable":true,"minLength":1,"description":"Required if \"id\" is not provided."}}},"EntityRequest":{"type":"object","description":"A serializer that accepts either an 'id' field or an alternate identifier field.\n\nThis serializer class automatically detects which identifier field is being used and\nperforms validation to ensure at least one identifier is provided. It also provides\nutility methods for retrieving objects by their identifiers.\n\nAttributes:\n    IDENTIFIER_FIELD (str): The name of the alternate identifier field. Should be\n        defined in subclasses.\n\nMethods:\n    get_identifier_field(): Determines the alternate identifier field name.\n    validate(attrs): Ensures either 'id' or the alternate identifier is provided.\n    get_identifier_values(data, values_map, queryset): Retrieves objects by their identifiers.","properties":{"id":{"type":"string","format":"uuid","nullable":true,"description":"Required if \"name\" is not provided."},"name":{"type":"string","nullable":true,"minLength":1,"description":"Name of entity or email of contact."}}},"ScheduledActivityV2Read":{"type":"object","properties":{"associated_entities":{"type":"array","items":{"$ref":"#/components/schemas/_AssociatedEntityRead"}},"id":{"type":"string","format":"uuid"},"note":{"type":"string"},"due_datetime":{"type":"string","format":"date-time"},"original_due_datetime":{"type":"string","format":"date-time"},"completed_at":{"type":"string","format":"date-time"},"logged_activity_id":{"type":"string","format":"uuid"},"activity_object":{"type":"string"},"employee":{"type":"string"},"role":{"$ref":"#/components/schemas/SimpleRole"},"mentions":{"$ref":"#/components/schemas/EmployeeSerpy"},"associated_fields":{"type":"string"},"notifications":{"type":"string"},"created":{"type":"string","format":"date-time"},"access":{"$ref":"#/components/schemas/AccessSerpy"}},"required":["access","activity_object","associated_entities","associated_fields","completed_at","created","due_datetime","employee","id","logged_activity_id","mentions","note","notifications","original_due_datetime","role"]},"_AssociatedEntityRead":{"type":"object","properties":{"custom_object":{"$ref":"#/components/schemas/_CustomObjectRead"},"entity":{"$ref":"#/components/schemas/_EntityRead"},"custom_object_id":{"type":"string","format":"uuid","deprecated":true},"object_name":{"type":"string","deprecated":true},"object_api_name":{"type":"string","deprecated":true},"entity_id":{"type":"string","format":"uuid","deprecated":true},"name":{"type":"string","readOnly":true,"deprecated":true},"display_name":{"type":"string","readOnly":true,"deprecated":true}},"required":["custom_object","custom_object_id","display_name","entity","entity_id","name","object_api_name","object_name"]},"_CustomObjectRead":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string"},"object_name":{"type":"string"}},"required":["id","name","object_name"]},"_EntityRead":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string"},"email":{"type":"string","readOnly":true},"display_name":{"type":"string","readOnly":true}},"required":["display_name","email","id","name"]},"SimpleRole":{"type":"object","properties":{"id":{"type":"string","format":"uuid","readOnly":true},"name":{"type":"string","maxLength":200},"default_for_new_users":{"type":"boolean"}},"required":["id","name"]},"EmployeeSerpy":{"type":"object","properties":{"picture_url":{"type":"string"},"id":{"type":"string","format":"uuid"},"first_name":{"type":"string"},"last_name":{"type":"string"},"email":{"type":"string","format":"email"},"display_name":{"type":"string"},"account_type":{"type":"string"}},"required":["account_type","display_name","email","first_name","id","last_name","picture_url"]},"AccessSerpy":{"type":"object","properties":{"view":{"type":"boolean"},"edit":{"type":"boolean"},"remove":{"type":"boolean"}},"required":["edit","remove","view"]}}},"paths":{"/api/activities/scheduled-activity":{"post":{"operationId":"activities_scheduled_activity_create","description":"Create scheduled activity","tags":["activities"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ScheduledActivityV2WriteRequest"}}}},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ScheduledActivityV2Read"}}},"description":""}}}}}}
```

## GET /api/activities/scheduled-activity/{id}

> Get scheduled activity record by ID

```json
{"openapi":"3.0.3","info":{"title":"Kizen API","version":"1.0.0"},"security":[{"businessId":[],"userId":[],"apiKey":[]}],"components":{"securitySchemes":{"businessId":{"type":"apiKey","in":"header","name":"X-BUSINESS-ID"}},"schemas":{"ScheduledActivityV2Read":{"type":"object","properties":{"associated_entities":{"type":"array","items":{"$ref":"#/components/schemas/_AssociatedEntityRead"}},"id":{"type":"string","format":"uuid"},"note":{"type":"string"},"due_datetime":{"type":"string","format":"date-time"},"original_due_datetime":{"type":"string","format":"date-time"},"completed_at":{"type":"string","format":"date-time"},"logged_activity_id":{"type":"string","format":"uuid"},"activity_object":{"type":"string"},"employee":{"type":"string"},"role":{"$ref":"#/components/schemas/SimpleRole"},"mentions":{"$ref":"#/components/schemas/EmployeeSerpy"},"associated_fields":{"type":"string"},"notifications":{"type":"string"},"created":{"type":"string","format":"date-time"},"access":{"$ref":"#/components/schemas/AccessSerpy"}},"required":["access","activity_object","associated_entities","associated_fields","completed_at","created","due_datetime","employee","id","logged_activity_id","mentions","note","notifications","original_due_datetime","role"]},"_AssociatedEntityRead":{"type":"object","properties":{"custom_object":{"$ref":"#/components/schemas/_CustomObjectRead"},"entity":{"$ref":"#/components/schemas/_EntityRead"},"custom_object_id":{"type":"string","format":"uuid","deprecated":true},"object_name":{"type":"string","deprecated":true},"object_api_name":{"type":"string","deprecated":true},"entity_id":{"type":"string","format":"uuid","deprecated":true},"name":{"type":"string","readOnly":true,"deprecated":true},"display_name":{"type":"string","readOnly":true,"deprecated":true}},"required":["custom_object","custom_object_id","display_name","entity","entity_id","name","object_api_name","object_name"]},"_CustomObjectRead":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string"},"object_name":{"type":"string"}},"required":["id","name","object_name"]},"_EntityRead":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string"},"email":{"type":"string","readOnly":true},"display_name":{"type":"string","readOnly":true}},"required":["display_name","email","id","name"]},"SimpleRole":{"type":"object","properties":{"id":{"type":"string","format":"uuid","readOnly":true},"name":{"type":"string","maxLength":200},"default_for_new_users":{"type":"boolean"}},"required":["id","name"]},"EmployeeSerpy":{"type":"object","properties":{"picture_url":{"type":"string"},"id":{"type":"string","format":"uuid"},"first_name":{"type":"string"},"last_name":{"type":"string"},"email":{"type":"string","format":"email"},"display_name":{"type":"string"},"account_type":{"type":"string"}},"required":["account_type","display_name","email","first_name","id","last_name","picture_url"]},"AccessSerpy":{"type":"object","properties":{"view":{"type":"boolean"},"edit":{"type":"boolean"},"remove":{"type":"boolean"}},"required":["edit","remove","view"]}}},"paths":{"/api/activities/scheduled-activity/{id}":{"get":{"operationId":"activities_scheduled_activity_retrieve","description":"Get scheduled activity record by ID","parameters":[{"in":"path","name":"id","schema":{"type":"string","pattern":"^[0-9a-fA-F]{8}\\-[0-9a-fA-F]{4}\\-[0-9a-fA-F]{4}\\-[0-9a-fA-F]{4}\\-[0-9a-fA-F]{12}$"},"required":true}],"tags":["activities"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ScheduledActivityV2Read"}}},"description":""}}}}}}
```

## DELETE /api/activities/scheduled-activity/{id}

> Delete Scheduled Activity partially

```json
{"openapi":"3.0.3","info":{"title":"Kizen API","version":"1.0.0"},"security":[{"businessId":[],"userId":[],"apiKey":[]}],"components":{"securitySchemes":{"businessId":{"type":"apiKey","in":"header","name":"X-BUSINESS-ID"}}},"paths":{"/api/activities/scheduled-activity/{id}":{"delete":{"operationId":"activities_scheduled_activity_destroy","description":"Delete Scheduled Activity partially","parameters":[{"in":"path","name":"id","schema":{"type":"string","pattern":"^[0-9a-fA-F]{8}\\-[0-9a-fA-F]{4}\\-[0-9a-fA-F]{4}\\-[0-9a-fA-F]{4}\\-[0-9a-fA-F]{12}$"},"required":true}],"tags":["activities"],"responses":{"204":{"description":"No response body"}}}}}}
```

## PATCH /api/activities/scheduled-activity/{id}

> Update Scheduled Activity partially

```json
{"openapi":"3.0.3","info":{"title":"Kizen API","version":"1.0.0"},"security":[{"businessId":[],"userId":[],"apiKey":[]}],"components":{"securitySchemes":{"businessId":{"type":"apiKey","in":"header","name":"X-BUSINESS-ID"}},"schemas":{"PatchedScheduledActivityV2WriteRequest":{"type":"object","properties":{"activity_object_id":{"type":"string","format":"uuid"},"activity_object_name":{"type":"string","nullable":true,"minLength":1},"due_datetime":{"type":"string","format":"date-time"},"original_due_datetime":{"type":"string","format":"date-time"},"employee_id":{"type":"string","format":"uuid","nullable":true},"role_id":{"type":"string","format":"uuid","nullable":true},"note":{"type":"string"},"mentions":{"type":"array","items":{"type":"string","format":"uuid","nullable":true}},"notifications":{"type":"array","items":{"$ref":"#/components/schemas/_ScheduledActivityNotificationV2WriteRequest"}},"associated_entities":{"type":"array","items":{"$ref":"#/components/schemas/_AssociatedEntityWriteRequest"},"nullable":true},"notify_mentioned":{"type":"boolean","default":false}}},"_ScheduledActivityNotificationV2WriteRequest":{"type":"object","properties":{"type":{"$ref":"#/components/schemas/_ScheduledActivityNotificationV2WriteTypeEnum"},"time_amount":{"type":"integer","maximum":2147483647,"minimum":1},"time_unit":{"$ref":"#/components/schemas/TimeUnitEnum"}},"required":["time_amount","time_unit","type"]},"_ScheduledActivityNotificationV2WriteTypeEnum":{"enum":["email","text"],"type":"string","description":"* `email` - email\n* `text` - text"},"TimeUnitEnum":{"enum":["minute","hour","day"],"type":"string","description":"* `minute` - minute\n* `hour` - hour\n* `day` - day"},"_AssociatedEntityWriteRequest":{"type":"object","properties":{"custom_object_id":{"type":"string","format":"uuid","nullable":true,"description":"This field is deprecated, use custom_object instead.","deprecated":true},"entity_id":{"type":"string","format":"uuid","nullable":true,"description":"This field is deprecated, use entity instead.","deprecated":true},"custom_object":{"allOf":[{"$ref":"#/components/schemas/_CustomObjectRequest"}],"nullable":true},"entity":{"allOf":[{"$ref":"#/components/schemas/EntityRequest"}],"nullable":true}}},"_CustomObjectRequest":{"type":"object","description":"A serializer that accepts either an 'id' field or an alternate identifier field.\n\nThis serializer class automatically detects which identifier field is being used and\nperforms validation to ensure at least one identifier is provided. It also provides\nutility methods for retrieving objects by their identifiers.\n\nAttributes:\n    IDENTIFIER_FIELD (str): The name of the alternate identifier field. Should be\n        defined in subclasses.\n\nMethods:\n    get_identifier_field(): Determines the alternate identifier field name.\n    validate(attrs): Ensures either 'id' or the alternate identifier is provided.\n    get_identifier_values(data, values_map, queryset): Retrieves objects by their identifiers.","properties":{"id":{"type":"string","format":"uuid","nullable":true,"description":"Required if \"name\" is not provided."},"name":{"type":"string","nullable":true,"minLength":1,"description":"Required if \"id\" is not provided."}}},"EntityRequest":{"type":"object","description":"A serializer that accepts either an 'id' field or an alternate identifier field.\n\nThis serializer class automatically detects which identifier field is being used and\nperforms validation to ensure at least one identifier is provided. It also provides\nutility methods for retrieving objects by their identifiers.\n\nAttributes:\n    IDENTIFIER_FIELD (str): The name of the alternate identifier field. Should be\n        defined in subclasses.\n\nMethods:\n    get_identifier_field(): Determines the alternate identifier field name.\n    validate(attrs): Ensures either 'id' or the alternate identifier is provided.\n    get_identifier_values(data, values_map, queryset): Retrieves objects by their identifiers.","properties":{"id":{"type":"string","format":"uuid","nullable":true,"description":"Required if \"name\" is not provided."},"name":{"type":"string","nullable":true,"minLength":1,"description":"Name of entity or email of contact."}}},"ScheduledActivityV2Read":{"type":"object","properties":{"associated_entities":{"type":"array","items":{"$ref":"#/components/schemas/_AssociatedEntityRead"}},"id":{"type":"string","format":"uuid"},"note":{"type":"string"},"due_datetime":{"type":"string","format":"date-time"},"original_due_datetime":{"type":"string","format":"date-time"},"completed_at":{"type":"string","format":"date-time"},"logged_activity_id":{"type":"string","format":"uuid"},"activity_object":{"type":"string"},"employee":{"type":"string"},"role":{"$ref":"#/components/schemas/SimpleRole"},"mentions":{"$ref":"#/components/schemas/EmployeeSerpy"},"associated_fields":{"type":"string"},"notifications":{"type":"string"},"created":{"type":"string","format":"date-time"},"access":{"$ref":"#/components/schemas/AccessSerpy"}},"required":["access","activity_object","associated_entities","associated_fields","completed_at","created","due_datetime","employee","id","logged_activity_id","mentions","note","notifications","original_due_datetime","role"]},"_AssociatedEntityRead":{"type":"object","properties":{"custom_object":{"$ref":"#/components/schemas/_CustomObjectRead"},"entity":{"$ref":"#/components/schemas/_EntityRead"},"custom_object_id":{"type":"string","format":"uuid","deprecated":true},"object_name":{"type":"string","deprecated":true},"object_api_name":{"type":"string","deprecated":true},"entity_id":{"type":"string","format":"uuid","deprecated":true},"name":{"type":"string","readOnly":true,"deprecated":true},"display_name":{"type":"string","readOnly":true,"deprecated":true}},"required":["custom_object","custom_object_id","display_name","entity","entity_id","name","object_api_name","object_name"]},"_CustomObjectRead":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string"},"object_name":{"type":"string"}},"required":["id","name","object_name"]},"_EntityRead":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string"},"email":{"type":"string","readOnly":true},"display_name":{"type":"string","readOnly":true}},"required":["display_name","email","id","name"]},"SimpleRole":{"type":"object","properties":{"id":{"type":"string","format":"uuid","readOnly":true},"name":{"type":"string","maxLength":200},"default_for_new_users":{"type":"boolean"}},"required":["id","name"]},"EmployeeSerpy":{"type":"object","properties":{"picture_url":{"type":"string"},"id":{"type":"string","format":"uuid"},"first_name":{"type":"string"},"last_name":{"type":"string"},"email":{"type":"string","format":"email"},"display_name":{"type":"string"},"account_type":{"type":"string"}},"required":["account_type","display_name","email","first_name","id","last_name","picture_url"]},"AccessSerpy":{"type":"object","properties":{"view":{"type":"boolean"},"edit":{"type":"boolean"},"remove":{"type":"boolean"}},"required":["edit","remove","view"]}}},"paths":{"/api/activities/scheduled-activity/{id}":{"patch":{"operationId":"activities_scheduled_activity_partial_update","description":"Update Scheduled Activity partially","parameters":[{"in":"path","name":"id","schema":{"type":"string","pattern":"^[0-9a-fA-F]{8}\\-[0-9a-fA-F]{4}\\-[0-9a-fA-F]{4}\\-[0-9a-fA-F]{4}\\-[0-9a-fA-F]{12}$"},"required":true}],"tags":["activities"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PatchedScheduledActivityV2WriteRequest"}}}},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ScheduledActivityV2Read"}}},"description":""}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.kizen.com/api/activities.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
